Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
com.foxit.sdk.JavascriptModifyItemInfo Class Reference

## Public Member Functions
| JavascriptModifyItemInfo ()
| Constructor.
| JavascriptModifyItemInfo (int event_type, int page_index, int field_control_index, int modify_item_type, int modify_type, int modify_property_type, String field_or_annot_name, String new_value, String old_value)
| Constructor, with parameters. More...
| JavascriptModifyItemInfo (JavascriptModifyItemInfo other)
| Constructor, with another javascript modify item information object. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
int | getEvent_type ()
| Get the javascript event type. More...
int | getField_control_index ()
| Get the control index of form field. More...
String | getField_or_annot_name ()
| Get the form field full name or annot subtype name. More...
int | getModify_item_type ()
| Get the modify item type. More...
int | getModify_property_type ()
| Get the modify property type. More...
int | getModify_type ()
| Get the modify type. More...
String | getNew_value ()
| Get the new value. More...
String | getOld_value ()
| Get the old value. More...
int | getPage_index ()
| Get the page index. More...
void | setEvent_type (int value)
| Set the javascript event type. More...
void | setField_control_index (int value)
| Set the control index of form field. More...
void | setField_or_annot_name (String value)
| Set the form field full name or annot subtype name. More...
void | setModify_item_type (int value)
| Set the modify item type. More...
void | setModify_property_type (int value)
| Set the modify property type. More...
void | setModify_type (int value)
| Set the modify type. More...
void | setNew_value (String value)
| Set the new value. More...
void | setOld_value (String value)
| Set the old value. More...
void | setPage_index (int value)
| Set the page index. More...

## Static Public Attributes
static final int | e_JavascriptEventTypeAppInit = 1
| Javascript event: App initialize.
static final int | e_JavascriptEventTypeBatchExec = 34
| Javascript event: Batch execute.
static final int | e_JavascriptEventTypeBookmarkMouseUp = 38
| Javascript event: Bookmark mouse up.
static final int | e_JavascriptEventTypeConsoleExec = 36
| Javascript event: Console execute.
static final int | e_JavascriptEventTypeDocDidprint = 5
| Javascript event: Document did print.
static final int | e_JavascriptEventTypeDocDidSave = 7
| Javascript event: Document did save.
static final int | e_JavascriptEventTypeDocOpen = 3
| Javascript event: Document open.
static final int | e_JavascriptEventTypeDocWillClose = 8
| Javascript event: Document will close.
static final int | e_JavascriptEventTypeDocWillPrint = 4
| Javascript event: Document will print.
static final int | e_JavascriptEventTypeDocWillSave = 6
| Javascript event: Document will save.
static final int | e_JavascriptEventTypeExternalExec = 37
| Javascript event: External execute.
static final int | e_JavascriptEventTypeFieldBlur = 18
| Javascript event: Form field blur.
static final int | e_JavascriptEventTypeFieldCalculate = 22
| Javascript event: Form field calculate.
static final int | e_JavascriptEventTypeFieldFocus = 17
| Javascript event: Form field focus.
static final int | e_JavascriptEventTypeFieldFormat = 23
| Javascript event: Form field format.
static final int | e_JavascriptEventTypeFieldKeyStroke = 19
| Javascript event: Form field key stroke.
static final int | e_JavascriptEventTypeFieldMouseDown = 13
| Javascript event: Form field mouse down.
static final int | e_JavascriptEventTypeFieldMouseEnter = 15
| Javascript event: Form field mouse enter.
static final int | e_JavascriptEventTypeFieldMouseExit = 16
| Javascript event: Form field mouse exit.
static final int | e_JavascriptEventTypeFieldMouseUp = 14
| Javascript event: Form field mouse up.
static final int | e_JavascriptEventTypeFieldValidate = 21
| Javascript event: Form field validate.
static final int | e_JavascriptEventTypeHtmlCallback = 2
| Javascript event: Html callback.
static final int | e_JavascriptEventTypeLinkMouseUp = 39
| Javascript event: Link mouse up.
static final int | e_JavascriptEventTypeMediaBlur = 40
| Javascript event: Media blur.
static final int | e_JavascriptEventTypeMediaClose = 41
| Javascript event: Media close.
static final int | e_JavascriptEventTypeMediaDone = 42
| Javascript event: Media done.
static final int | e_JavascriptEventTypeMediaPlay = 43
| Javascript event: Media play.
static final int | e_JavascriptEventTypeMediaReady = 44
| Javascript event: Media ready.
static final int | e_JavascriptEventTypeMediaSeek = 45
| Javascript event: Media seek.
static final int | e_JavascriptEventTypeMediaStop = 46
| Javascript event: Media stop.
static final int | e_JavascriptEventTypeMenuExec = 35
| Javascript event: Menu execute.
static final int | e_JavascriptEventTypePageClose = 10
| Javascript event: Page close.
static final int | e_JavascriptEventTypePageInView = 11
| Javascript event: Page inview.
static final int | e_JavascriptEventTypePageOpen = 9
| Javascript event: Page open.
static final int | e_JavascriptEventTypePageOutView = 12
| Javascript event: Page outview.
static final int | e_JavascriptEventTypeScreenBlur = 25
| Javascript event: Screen blur.
static final int | e_JavascriptEventTypeScreenClose = 27
| Javascript event: Screen close.
static final int | e_JavascriptEventTypeScreenFocus = 24
| Javascript event: Screen focus.
static final int | e_JavascriptEventTypeScreenInview = 32
| Javascript event: Screen in view.
static final int | e_JavascriptEventTypeScreenMouseDown = 28
| Javascript event: Screen mouse down.
static final int | e_JavascriptEventTypeScreenMouseEnter = 30
| Javascript event: Screen mouse enter.
static final int | e_JavascriptEventTypeScreenMouseExit = 31
| Javascript event: Screen mouse exit.
static final int | e_JavascriptEventTypeScreenMouseUp = 29
| Javascript event: Screen mouse up.
static final int | e_JavascriptEventTypeScreenOpen = 26
| Javascript event: Screen open.
static final int | e_JavascriptEventTypeScreenOutview = 33
| Javascript event: Screen out view.
static final int | e_JavascriptEventTypeUnknown = 0
| Javascript event: unknown.
static final int | e_JavascriptModifyItemTypeAnnot = 2
| Javascript modify item type: Annot.
static final int | e_JavascriptModifyItemTypeDoc = 4
| Javascript modify item type: Doc.
static final int | e_JavascriptModifyItemTypeField = 1
| Javascript modify item type: field.
static final int | e_JavascriptModifyItemTypeNone = 0
| Javascript modify item type: none.
static final int | e_JavascriptModifyItemTypePage = 3
| Javascript modify item type: Page.
static final int | e_JavascriptModifyPropertyTypeActivated = 45
| Javascript event item type: activated.
static final int | e_JavascriptModifyPropertyTypeAddFileAttachment = 94
| Javascript event item type: add fileattachment.
static final int | e_JavascriptModifyPropertyTypeAddLink = 98
| Javascript event item type: add link.
static final int | e_JavascriptModifyPropertyTypeAddPageTemplate = 76
| Javascript event item type: add page template.
static final int | e_JavascriptModifyPropertyTypeAddWatermark = 92
| Javascript event item type: add watermark.
static final int | e_JavascriptModifyPropertyTypeAddWeblinks = 82
| Javascript event item type: add web links.
static final int | e_JavascriptModifyPropertyTypeAlignment = 8
| Javascript event item type: alignment.
static final int | e_JavascriptModifyPropertyTypeArrowBegin = 46
| Javascript event item type: arrow begin.
static final int | e_JavascriptModifyPropertyTypeArrowEnd = 47
| Javascript event item type: arrow end.
static final int | e_JavascriptModifyPropertyTypeAttachIcon = 48
| Javascript event item type: attach icon.
static final int | e_JavascriptModifyPropertyTypeBorderColor = 1
| Javascript pre-sign item type: border color.
static final int | e_JavascriptModifyPropertyTypeBorderEffectIntensity = 49
| Javascript event item type: border effect intensity.
static final int | e_JavascriptModifyPropertyTypeBorderEffectStyle = 50
| Javascript event item type: border effect style.
static final int | e_JavascriptModifyPropertyTypeBorderStyle = 9
| Javascript event item type: border style.
static final int | e_JavascriptModifyPropertyTypeButtonAlignX = 10
| Javascript event item type: button align x.
static final int | e_JavascriptModifyPropertyTypeButtonAlignY = 11
| Javascript event item type: button align Y.
static final int | e_JavascriptModifyPropertyTypeButtonFitBounds = 12
| Javascript event item type: button fit bounds.
static final int | e_JavascriptModifyPropertyTypeButtonPosition = 6
| Javascript event item type: button position.
static final int | e_JavascriptModifyPropertyTypeButtonScaleHow = 13
| Javascript event item type: button scale how.
static final int | e_JavascriptModifyPropertyTypeButtonScaleWhen = 14
| Javascript event item type: button scale when.
static final int | e_JavascriptModifyPropertyTypeButtonSetIcon = 38
| Javascript event item type: set button icon.
static final int | e_JavascriptModifyPropertyTypeCallout = 51
| Javascript event item type: callout.
static final int | e_JavascriptModifyPropertyTypeCaretSymbol = 52
| Javascript event item type: caret symbol.
static final int | e_JavascriptModifyPropertyTypeCharLimit = 5
| Javascript event item type: char limit.
static final int | e_JavascriptModifyPropertyTypeCheckThisBox = 39
| Javascript event item type: check this box.
static final int | e_JavascriptModifyPropertyTypeClearItems = 40
| Javascript event item type: clear items.
static final int | e_JavascriptModifyPropertyTypeComb = 15
| Javascript event item type: Comb.
static final int | e_JavascriptModifyPropertyTypeContents = 53
| Javascript event item type: contents.
static final int | e_JavascriptModifyPropertyTypeDash = 54
| Javascript event item type: dash.
static final int | e_JavascriptModifyPropertyTypeDefaultIsChecked = 41
| Javascript event item type: default is checked.
static final int | e_JavascriptModifyPropertyTypeDefaultStyle = 16
| Javascript event item type: default style.
static final int | e_JavascriptModifyPropertyTypeDefaultValue = 17
| Javascript event item type: default value.
static final int | e_JavascriptModifyPropertyTypeDelay = 19
| Javascript event item type: delay.
static final int | e_JavascriptModifyPropertyTypeDeleteAnnot = 91
| Javascript event item type: delete annot.
static final int | e_JavascriptModifyPropertyTypeDeleteItemAt = 42
| Javascript event item type: delete item at.
static final int | e_JavascriptModifyPropertyTypeDisplay = 20
| Javascript event item type: display.
static final int | e_JavascriptModifyPropertyTypeDoCaption = 55
| Javascript event item type: do caption.
static final int | e_JavascriptModifyPropertyTypeDoNotScroll = 18
| Javascript event item type: do not scroll.
static final int | e_JavascriptModifyPropertyTypeDownCaption = 34
| Javascript event item type: down caption.
static final int | e_JavascriptModifyPropertyTypeEditable = 21
| Javascript event item type: editable.
static final int | e_JavascriptModifyPropertyTypeFillColor = 2
| Javascript pre-sign item type: fill color.
static final int | e_JavascriptModifyPropertyTypeFlatDocument = 93
| Javascript event item type: flat document.
static final int | e_JavascriptModifyPropertyTypeGestures = 56
| Javascript event item type: gestures.
static final int | e_JavascriptModifyPropertyTypeHidden = 23
| Javascript event item type: hidden.
static final int | e_JavascriptModifyPropertyTypeHighlight = 24
| Javascript event item type: highlight.
static final int | e_JavascriptModifyPropertyTypeImport = 72
| Javascript event item type: import.
static final int | e_JavascriptModifyPropertyTypeImportAnnotFromXFDF = 90
| Javascript event item type: import annot from xfdf.
static final int | e_JavascriptModifyPropertyTypeImportDataObject = 74
| Javascript event item type: import data object.
static final int | e_JavascriptModifyPropertyTypeInsertFromTemplates = 97
| Javascript event item type: insert from templates.
static final int | e_JavascriptModifyPropertyTypeInsertItemAt = 43
| Javascript event item type: insert item at.
static final int | e_JavascriptModifyPropertyTypeInsertPages = 88
| Javascript event item type: insert pages.
static final int | e_JavascriptModifyPropertyTypeIntent = 57
| Javascript event item type: intent.
static final int | e_JavascriptModifyPropertyTypeLeaderExtend = 58
| Javascript event item type: leader extend.
static final int | e_JavascriptModifyPropertyTypeLeaderLength = 59
| Javascript event item type: leader length.
static final int | e_JavascriptModifyPropertyTypeLineEnding = 60
| Javascript event item type: line ending.
static final int | e_JavascriptModifyPropertyTypeLineWidth = 25
| Javascript event item type: line width.
static final int | e_JavascriptModifyPropertyTypeMovePage = 87
| Javascript event item type: move page.
static final int | e_JavascriptModifyPropertyTypeMultiline = 26
| Javascript event item type: multiline.
static final int | e_JavascriptModifyPropertyTypeMultipleSelection = 99
| Javascript event item type: multiple selection.
static final int | e_JavascriptModifyPropertyTypeNewPage = 86
| Javascript event item type: new page.
static final int | e_JavascriptModifyPropertyTypeNone = 0
| Javascript pre-sign item type: none.
static final int | e_JavascriptModifyPropertyTypeNormalCaption = 33
| Javascript event item type: normal caption.
static final int | e_JavascriptModifyPropertyTypeNoteIcon = 61
| Javascript event item type: note icon.
static final int | e_JavascriptModifyPropertyTypeNotSpellCheck = 22
| Javascript event item type: not spell check.
static final int | e_JavascriptModifyPropertyTypeOpacity = 63
| Javascript event item type: opacity.
static final int | e_JavascriptModifyPropertyTypePageRotations = 85
| Javascript event item type: page rotations.
static final int | e_JavascriptModifyPropertyTypePassword = 27
| Javascript event item type: password.
static final int | e_JavascriptModifyPropertyTypePoints = 64
| Javascript event item type: points.
static final int | e_JavascriptModifyPropertyTypeQuads = 65
| Javascript event item type: quadspoints.
static final int | e_JavascriptModifyPropertyTypeRect = 28
| Javascript event item type: rect.
static final int | e_JavascriptModifyPropertyTypeRemoveDataObject = 73
| Javascript event item type: remove data object.
static final int | e_JavascriptModifyPropertyTypeRemoveLinks = 84
| Javascript event item type: remove links.
static final int | e_JavascriptModifyPropertyTypeRemoveTemplate = 75
| Javascript event item type: remove template.
static final int | e_JavascriptModifyPropertyTypeRemoveWeblinks = 83
| Javascript event item type: remove web links.
static final int | e_JavascriptModifyPropertyTypeReplacePages = 89
| Javascript event item type: replace pages.
static final int | e_JavascriptModifyPropertyTypeRequired = 29
| Javascript event item type: required.
static final int | e_JavascriptModifyPropertyTypeResizePage = 80
| Javascript event item type: resize page.
static final int | e_JavascriptModifyPropertyTypeRichContents = 67
| Javascript event item type: rich contents.
static final int | e_JavascriptModifyPropertyTypeRichDefaults = 68
| Javascript event item type: rich defaults.
static final int | e_JavascriptModifyPropertyTypeRichText = 30
| Javascript event item type: rich text.
static final int | e_JavascriptModifyPropertyTypeRichValue = 31
| Javascript event item type: rich value.
static final int | e_JavascriptModifyPropertyTypeRolloverCaption = 35
| Javascript event item type: rollover caption.
static final int | e_JavascriptModifyPropertyTypeRotation = 32
| Javascript event item type: rotation.
static final int | e_JavascriptModifyPropertyTypeRsetAllForms = 78
| Javascript event item type: reset all forms.
static final int | e_JavascriptModifyPropertyTypeRsetForms = 77
| Javascript event item type: reset forms.
static final int | e_JavascriptModifyPropertyTypeRuntimeHighlight = 95
| Javascript event item type: runtime highlight.
static final int | e_JavascriptModifyPropertyTypeRuntimeHighlightColor = 96
| Javascript event item type: runtime highlight color.
static final int | e_JavascriptModifyPropertyTypeSelectChange = 7
| Javascript event item type: select change.
static final int | e_JavascriptModifyPropertyTypeSetItems = 44
| Javascript event item type: set items.
static final int | e_JavascriptModifyPropertyTypeSetPageTemplateVisible = 100
| Javascript event item type: set page template visible.
static final int | e_JavascriptModifyPropertyTypeSoundIcon = 69
| Javascript event item type: sound icon.
static final int | e_JavascriptModifyPropertyTypeSpawnPageFromTemplate = 81
| Javascript event item type: spawn page from template.
static final int | e_JavascriptModifyPropertyTypeSubject = 70
| Javascript event item type: subject.
static final int | e_JavascriptModifyPropertyTypeTextColor = 3
| Javascript event item type: text color.
static final int | e_JavascriptModifyPropertyTypeTextFont = 36
| Javascript event item type: text font.
static final int | e_JavascriptModifyPropertyTypeTextSize = 66
| Javascript event item type: text size.
static final int | e_JavascriptModifyPropertyTypeTitle = 79
| Javascript event item type: title.
static final int | e_JavascriptModifyPropertyTypeToggleNoView = 62
| Javascript event item type: toggle no view.
static final int | e_JavascriptModifyPropertyTypeUserName = 37
| Javascript event item type: user name.
static final int | e_JavascriptModifyPropertyTypeValue = 4
| Javascript event item type: value.
static final int | e_JavascriptModifyPropertyTypeVertices = 71
| Javascript event item type: vertices.
static final int | e_JavascriptModifyTypeAdd = 1
| Javascript modify type: add.
static final int | e_JavascriptModifyTypeDelete = 3
| Javascript modify type: Delete.
static final int | e_JavascriptModifyTypeModify = 2
| Javascript modify type: modify.
static final int | e_JavascriptModifyTypeNone = 0
| Javascript modify type: none.

## Detailed Description

This class represents the javascript modify item information

## Constructor & Destructor Documentation

## ◆ JavascriptModifyItemInfo() [1/2]

com.foxit.sdk.JavascriptModifyItemInfo.JavascriptModifyItemInfo | ( | int | event_type,
|  | int | page_index,
|  | int | field_control_index,
|  | int | modify_item_type,
|  | int | modify_type,
|  | int | modify_property_type,
|  | String | field_or_annot_name,
|  | String | new_value,
|  | String | old_value
| ) |  |

Constructor, with parameters.

Parameters

  [in] | event_type | The javascript event type.
  [in] | page_index | The modify page index.
  [in] | field_control_index | The control index of form field.
  [in] | modify_item_type | The modify item type.
  [in] | modify_type | The modify type.
  [in] | modify_property_type | The modify property type.
  [in] | field_or_annot_name | The form field full name or annot subtype name.
  [in] | new_value | The new value.
  [in] | old_value | The old value.

## ◆ JavascriptModifyItemInfo() [2/2]

com.foxit.sdk.JavascriptModifyItemInfo.JavascriptModifyItemInfo | ( | JavascriptModifyItemInfo | other | ) |

Constructor, with another javascript modify item information object.

Parameters

  [in] | other | Another javascript modify item information object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.JavascriptModifyItemInfo.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getEvent_type()

com.foxit.sdk.JavascriptModifyItemInfo.getEvent_type | ( |  | ) |

Get the javascript event type.

Returns
  The javascript event type. Please refer to values starting from com.foxit.sdk.JavascriptModifyItemInfo.e_JavascriptEventTypeUnknown and this should be one of these values.

## ◆ getField_control_index()

com.foxit.sdk.JavascriptModifyItemInfo.getField_control_index | ( |  | ) |

Get the control index of form field.

Returns
  The control index of form field.

## ◆ getField_or_annot_name()

com.foxit.sdk.JavascriptModifyItemInfo.getField_or_annot_name | ( |  | ) |

Get the form field full name or annot subtype name.

Returns
  The form field full name or annot subtype name.

## ◆ getModify_item_type()

com.foxit.sdk.JavascriptModifyItemInfo.getModify_item_type | ( |  | ) |

Get the modify item type.

Returns
  The modify item type. Please refer to values starting from com.foxit.sdk.JavascriptModifyItemInfo.e_JavascriptModifyItemTypeNone and this should be one of these values.

## ◆ getModify_property_type()

com.foxit.sdk.JavascriptModifyItemInfo.getModify_property_type | ( |  | ) |

Get the modify property type.

Returns
  The modify property type. Please refer to values starting from com.foxit.sdk.JavascriptModifyItemInfo.e_JavascriptModifyPropertyTypeNone and this should be one of these values.

## ◆ getModify_type()

com.foxit.sdk.JavascriptModifyItemInfo.getModify_type | ( |  | ) |

Get the modify type.

Returns
  The modify type. Please refer to values starting from com.foxit.sdk.JavascriptModifyItemInfo.e_JavascriptModifyTypeNone and this should be one of these values.

## ◆ getNew_value()

com.foxit.sdk.JavascriptModifyItemInfo.getNew_value | ( |  | ) |

Get the new value.

Returns
  The new value.

## ◆ getOld_value()

com.foxit.sdk.JavascriptModifyItemInfo.getOld_value | ( |  | ) |

Get the old value.

Returns
  The old value.

## ◆ getPage_index()

com.foxit.sdk.JavascriptModifyItemInfo.getPage_index | ( |  | ) |

Get the page index.

Returns
  The page index.

## ◆ setEvent_type()

com.foxit.sdk.JavascriptModifyItemInfo.setEvent_type | ( | int | value | ) |

Set the javascript event type.

Parameters

  [in] | value | The javascript event type. Please refer to values starting from com.foxit.sdk.JavascriptModifyItemInfo.e_JavascriptEventTypeUnknown and this should be one of these values.

Returns
  None.

## ◆ setField_control_index()

com.foxit.sdk.JavascriptModifyItemInfo.setField_control_index | ( | int | value | ) |

Set the control index of form field.

Parameters

  [in] | value | The control index of form field.

Returns
  None.

## ◆ setField_or_annot_name()

com.foxit.sdk.JavascriptModifyItemInfo.setField_or_annot_name | ( | String | value | ) |

Set the form field full name or annot subtype name.

Parameters

  [in] | value | The form field full name or annot subtype name.

Returns
  None.

## ◆ setModify_item_type()

com.foxit.sdk.JavascriptModifyItemInfo.setModify_item_type | ( | int | value | ) |

Set the modify item type.

Parameters

  [in] | value | The modify item type. Please refer to values starting from com.foxit.sdk.JavascriptModifyItemInfo.e_JavascriptModifyItemTypeNone and this should be one of these values.

Returns
  None.

## ◆ setModify_property_type()

com.foxit.sdk.JavascriptModifyItemInfo.setModify_property_type | ( | int | value | ) |

Set the modify property type.

Parameters

  [in] | value | The modify property type. Please refer to values starting from com.foxit.sdk.JavascriptModifyItemInfo.e_JavascriptModifyPropertyTypeNone and this should be one of these values.

Returns
  None.

## ◆ setModify_type()

com.foxit.sdk.JavascriptModifyItemInfo.setModify_type | ( | int | value | ) |

Set the modify type.

Parameters

  [in] | value | The modify type. Please refer to values starting from com.foxit.sdk.JavascriptModifyItemInfo.e_JavascriptModifyTypeNone and this should be one of these values.

Returns
  None.

## ◆ setNew_value()

com.foxit.sdk.JavascriptModifyItemInfo.setNew_value | ( | String | value | ) |

Set the new value.

Parameters

  [in] | value | The new value.

Returns
  None.

## ◆ setOld_value()

com.foxit.sdk.JavascriptModifyItemInfo.setOld_value | ( | String | value | ) |

Set the old value.

Parameters

  [in] | value | The old value.

Returns
  None.

## ◆ setPage_index()

com.foxit.sdk.JavascriptModifyItemInfo.setPage_index | ( | int | value | ) |

Set the page index.

Parameters

  [in] | value | The page index.

Returns
  None.